PETSc version 3.15.5
Fix/Edit manual page

# PetscInfoEnabled

Checks whether a given OBJECT_CLASSID is allowed to print using PetscInfo()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoEnabled(PetscClassId classid, PetscBool *enabled)

Not Collective

### Input Parameters

| classid | - PetscClassid retrieved from a PetscObject e.g. VEC_CLASSID

### Output Parameter

| enabled | - PetscBool indicating whether this classid is allowed to print

### Notes

Use PETSC_SMALLEST_CLASSID to check if "sys" PetscInfo() calls are enabled. When PETSc is configured with debugging support this function checks if classid >= PETSC_SMALLEST_CLASSID, otherwise it assumes valid classid.

### See Also

PetscInfo(), PetscInfoAllow(), PetscInfoGetInfo(), PetscObjectGetClassid()

### Level

advanced

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages